{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>users:read</code>\n\nReturns all of a user's favorites within a specified workspace and of a given type. The results are ordered exactly as they appear in the user's Asana sidebar in the web application. Note that this endpoint currently only returns favorites for the current user (i.e., the user associated with the authentication token).","properties":{"path":{"type":"object","properties":{"user_gid":{"type":"string","examples":["me"],"description":"A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."}},"required":["user_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"limit":{"type":"integer","minimum":1,"maximum":100,"examples":[50],"description":"Results per page.\nThe number of objects to return per page. The value must be between 1 and 100."},"offset":{"type":"string","examples":["eyJ0eXAiOJiKV1iQLCJhbGciOiJIUzI1NiJ9"],"description":"Offset token.\nAn offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results.\n*Note: You can only pass in an offset that was returned to you via a previously paginated request.*"},"resource_type":{"type":"string","enum":["portfolio","project","tag","task","user","project_template"],"default":"project","description":"The resource type of favorites to be returned."},"workspace":{"type":"string","examples":["1234"],"description":"The workspace in which to get favorites."},"opt_fields":{"type":"array","items":{"type":"string","enum":["name","offset","path","uri"]},"examples":[["name","offset","path","uri"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":["resource_type","workspace"],"additionalProperties":false}},"required":["path","query"],"additionalProperties":false},"name":"Get a user's favorites","id":"asana.getfavoritesforuser","example":{"path":{"user_gid":"me"},"query":{"resource_type":"project","workspace":"1234"}},"maxRequests":1,"summary":false}}